<div class="products-and-offers">
  <layout-page-header
    [title]="'PRODUCT_CATALOGUE.PRODUCTS_AND_OFFERS.TITLE' | translate"
    [description]="'PRODUCT_CATALOGUE.PRODUCTS_AND_OFFERS.DESCRIPTION' | translate"
  ></layout-page-header>
  <products-and-offers-counters></products-and-offers-counters>
  <layout-card-container>
    <products-and-offers-details></products-and-offers-details>
    <ng-container *ngIf="!(isLoadingProducts$ | async); else productsLoader">
      <div
        class="products-and-offers__list"
        *ngIf="products$ | async as products"
      >
        <product-card
          *ngFor="let product of products"
          [data]="product"
          (showMoreOffers)="onShowMoreOffers($event)"
        ></product-card>
      </div>
    </ng-container>

    <ng-template #productsLoader>
      <div class="products-and-offers__list">
        <product-cards-loader></product-cards-loader>
      </div>
    </ng-template>
  </layout-card-container>
</div>
